<template>
   <base-layout>
   <h1 class="mt-4">List of events</h1>
      <ol class="breadcrumb mb-4">
        
    </ol>
    <hr>
    <ol class="breadcrumb mb-4">
        
    </ol>
    <div class="card mb-4">
        <div class="card-header">
          <i class="fas fa-columns me-1"></i>
            Your personnal Events
      </div>
      <div class="card-body">
        <div class="container">
          <div class="row">
            <div class="col-md-offset-1 col-md-10">
              <div class="panel">
                <div class="panel-heading">
                  <div class="row">
                    <div class="col-sm-12 col-xs-12">
                        <router-link class="btn btn-sm btn-primary pull-left" to="/addevent"> 
                            <i class="fa fa-plus-circle"></i> New Event
                          </router-link>
    
                      <!-- Modal -->
                    
                      
                    </div>
    
                  </div>
                </div>
                <div class="panel-body table-responsive">
                  <table class="table">
                    <thead>
                      <tr>
                          <th>Action</th>
                          <th>Owner</th>
                          <th>Name</th>
                          <th>Location</th>
                          <th>Start Date</th>
                          <th>End Date</th>
                          <th>Start Time</th>
                          <th>End Time</th>
                          <th>More ...</th>
                      </tr>
                  </thead>
                  <tbody>
                    <tr v-for="event in eventss" :key="event.id">
                        <td>
                            <ul class="action-list">
                              
                                <li><a href="#" @click="deleteEvent(event.id)" class="btn btn-danger"><i class="fa fa-times"></i></a></li>
                            </ul>
                        </td>
                        <td>{{ event.author }}</td>
                        <td>{{ event.name }}</td>
                        <td>{{ event.location }}</td>
                        <td>{{ event.start_date }}</td>
                        <td>{{ event.end_date }}</td>
                        <td>{{ event.start_time }}</td>
                        <td>{{ event.end_time }}</td>
                        <td><a href="#" class="btn btn-sm btn-success"><i class="fa fa-eye"></i></a></td>
                    </tr>  
                </tbody>
                  </table>
    
                
    
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      </div>
  
    </base-layout>
</template>

<script>
import { HTTP } from '../api/api.js'
import util from '../api/util.js';
import { pki, utils, random, cipher } from "node-forge";

export default{
    data(){
        return{
            keypair: null,
            publicKey:null,
            encryptedKey:null,
            handshakeId:null,
            events:[],
            eventss:[]
        }
    },
    methods:{
        getEvents: async function() {
      await HTTP.get(`events/all`, util.getToken())
        .then(res => {
          this.total = res.data.totalElements;
          this.events = res.data;
          console.log(this.events);
        })
        .catch(e => {
          console.log(e);
          
        });
    },
    getEventsSelf: async function() {
          let mail;
          mail = JSON.parse(sessionStorage.getItem('token')).user.name;
      await HTTP.get(`events/${mail}`, util.getToken())
        .then(res => {
          this.total = res.data.totalElements;
          this.eventss = res.data;
          console.log(this.eventss);
        })
        .catch(e => {
          console.log(e);
          
        });
    },
    deleteEvent(id){
            if(confirm("Are you sure to delete this Event ?")){
                HTTP.delete(`event/${id}`,util.getToken()).then(response=>{
                    this.getEvents()
                }).catch(error=>{
                    console.log(error)
                })
            }
          },

      
     },
    mounted(){
        this.getEvents(),
        this.getEventsSelf()
    }
}
</script>